io.netty.handler.codec.mqtt

## Class MqttConnectPayload

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttConnectPayload

    public final class MqttConnectPayload
    extends Object

Payload of `MqttConnectMessage`

### Constructor Summary

Constructors
Constructor and Description
`MqttConnectPayload(String clientIdentifier, MqttProperties willProperties, String willTopic, byte[] willMessage, String userName, byte[] password)`
`MqttConnectPayload(String clientIdentifier, String willTopic, byte[] willMessage, String userName, byte[] password)`
`MqttConnectPayload(String clientIdentifier, String willTopic, String willMessage, String userName, String password)` Deprecated. use `MqttConnectPayload(String, MqttProperties, String, byte[], String, byte[])` instead

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `clientIdentifier()`
`String` `password()` Deprecated. use `passwordInBytes()` instead
`byte[]` `passwordInBytes()`
`String` `toString()`
`String` `userName()`
`String` `willMessage()` Deprecated. use `willMessageInBytes()` instead
`byte[]` `willMessageInBytes()`
`MqttProperties` `willProperties()`
`String` `willTopic()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttConnectPayload

    @Deprecated
    public MqttConnectPayload(String clientIdentifier,
                                          String willTopic,
                                          String willMessage,
                                          String userName,
                                          String password)

Deprecated. use `MqttConnectPayload(String, MqttProperties, String, byte[], String, byte[])` instead

#### MqttConnectPayload

    public MqttConnectPayload(String clientIdentifier,
                              String willTopic,
                              byte[] willMessage,
                              String userName,
                              byte[] password)

#### MqttConnectPayload

    public MqttConnectPayload(String clientIdentifier,
                              MqttProperties willProperties,
                              String willTopic,
                              byte[] willMessage,
                              String userName,
                              byte[] password)

### Method Detail

#### clientIdentifier

    public String clientIdentifier()

#### willProperties

    public MqttProperties willProperties()

#### willTopic

    public String willTopic()

#### willMessage

    @Deprecated
    public String willMessage()

Deprecated. use `willMessageInBytes()` instead

#### willMessageInBytes

    public byte[] willMessageInBytes()

#### userName

    public String userName()

#### password

    @Deprecated
    public String password()

Deprecated. use `passwordInBytes()` instead

#### passwordInBytes

    public byte[] passwordInBytes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`